Subject: bug#8270: closed (Re: bug#9457: crashes and hangs during mark_object / gc: infinite recursion?)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 17 Feb 2013 03:21:02 +0000

Your bug report

#9457: 23.2 crash in mark_object 

which was filed against the emacs,ns package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
9457: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=9457
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#9457: crashes and hangs during mark_object / gc: infinite recursion?
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Sat, 16 Feb 2013 22:20:01 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Stefan Monnier wrote:

>> I have received 51 bug reports since April this year about crashes
>> and hangs during mark_object, which always seems to be in very deep
>> or infinite recursion.
>
> mark)_object is a function that tends to always recurse very deeply.
> That's normal. Check the etc/DEBUG to see how to try and find the
> source of those bugs.

If this is still an issue with current Emacs, please try to follow
that advice and open a new report with details.

Subject: 23.2 crash in mark_object
From: David Reitter <[email-masked]>
To: Bug-Gnu-Emacs <[email-masked]>
Date: Thu, 17 Mar 2011 08:18:10 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

X-Debbugs-Reply-To: [email-masked]
X-Debbugs-CC: [email-masked]

Hello Emacs User,
if you can, please send a backtrace (the one under "Thread Crashed") that is complete rather than just listing the first few calls to "mark_object" - or are there just calls to that, i.e., an infinite loop?

- David

Begin forwarded message:

> From: emacs user <[email-masked]>
> Date: March 14, 2011 4:21:01 AM EDT
> To: [email-masked]
> Subject: [Aquamacs-bugs] crash in latest released aquamacs/ gnu emacs 23.2/ gnu emacs trunk
> Reply-To: Bug reports for Aquamacs Emacs <[email-masked]>
> 
> Hi, This is a crash which I can reproduce using my .emacs and mail
> files, but unfortunately have no simple recipe for others to
> reproduce.  This occurs repeatedly when I read my mail files using VM.
> The same bug exactly occurs in gnu emacs 23.2 and in gnu emacs trunk
> version, in both cases when using the nextstep version.    This
> happens many times a day for me, so I'd be more than very happy to do
> additional tests and provide any information I can given simple
> instructions...  I attach the gdb report and the crash report.  Please
> see also
> http://groups.google.com/group/gnu.emacs.bug/browse_thread/thread/78bd58969c139e44/d15f40508b222938
> for a few more details.  Many thanks...  E
> 
> $ gdb /Applications/Aquamacs.app/Contents/MacOS/
> Aquamacs  bin/      libexec/
> eli@udp003013uds:~ $ gdb /Applications/Aquamacs.app/Contents/MacOS/Aquamacs
> GNU gdb 6.3.50-20050815 (Apple version gdb-1472) (Wed Jul 21 10:53:12 UTC 2010)
> Copyright 2004 Free Software Foundation, Inc.
> GDB is free software, covered by the GNU General Public License, and you are
> welcome to change it and/or distribute copies of it under certain conditions.
> Type "show copying" to see the conditions.
> There is absolutely no warranty for GDB.  Type "show warranty" for details.
> This GDB was configured as "x86_64-apple-darwin"...Reading symbols for
> shared libraries ........... done
> 
> (gdb) run
> Starting program: /Applications/Aquamacs.app/Contents/MacOS/Aquamacs
> Reading symbols for shared libraries
> .++++++++++....................................................................................................................
> done
> Reading symbols for shared libraries . done
> Reading symbols for shared libraries . done
> Reading symbols for shared libraries . done
> Reading symbols for shared libraries . done
> Reading symbols for shared libraries . done
> Reading symbols for shared libraries . done
> 2011-03-14 04:02:27.128 Aquamacs[13639:a0f] ns_raise_fr
> Reading symbols for shared libraries . done
> Reading symbols for shared libraries . done
> 2011-03-14 04:02:28.050 Aquamacs[13639:a0f] ns_raise_fr
> 2011-03-14 04:02:28.617 Aquamacs[13639:a0f] ns_raise_fr
> 2011-03-14 04:02:31.510 Aquamacs[13639:a0f] ns_raise_fr
> 
> Program received signal EXC_BAD_ACCESS, Could not access memory.
> Reason: KERN_PROTECTION_FAILURE at address:
>  in mark_object ()
> (gdb) xbt
> Undefined command: "xbt".  Try "help".
> (gdb) backtrace full
> #0  0x0011ee06 in mark_object ()
> No symbol table info available.
> #1  0x0011ee0b in mark_object ()
> No symbol table info available.
> 
> 
> 
> Process:         Aquamacs [13281]
> Path:            /Applications/Aquamacs.app/Contents/MacOS/Aquamacs
> Identifier:      org.gnu.Aquamacs
> Version:         2.1 (2.1.)
> Code Type:       X86 (Native)
> Parent Process:  launchd [118]
> 
> Date/Time:       2011-03-14 09:58:41.657 +0200
> OS Version:      Mac OS X 10.6.6 (10J567)
> Report Version:  6
> Sleep/Wake UUID:
> 
> Interval Since Last Report:          2175240 sec
> Crashes Since Last Report:           66
> Per-App Interval Since Last Report:  153 sec
> Per-App Crashes Since Last Report:   2
> Anonymous UUID:
> 
> Exception Type:  EXC_BAD_ACCESS (SIGSEGV)
> Exception Codes: KERN_PROTECTION_FAILURE at
> Crashed Thread:  0  Dispatch queue: com.apple.main-thread
> 
> Thread 0 Crashed:  Dispatch queue: com.apple.main-thread
> 0   org.gnu.Aquamacs              	0x0011e9e4 mark_object + 20
> 1   org.gnu.Aquamacs              	0x0011ec13 mark_object + 579
> 2   org.gnu.Aquamacs              	0x0011ee0b mark_object + 1083
> 3   org.gnu.Aquamacs              	0x0011ee0b mark_object + 1083
> 4   org.gnu.Aquamacs              	0x0011eb3f mark_object + 367
> 5   org.gnu.Aquamacs              	0x0011ec13 mark_object + 579
> 6   org.gnu.Aquamacs              	0x0011ee0b mark_object + 1083
> .
> .
> .
> _______________________________________________
> Aquamacs-bugs mailing list
> [email-masked]
> http://lists.aquamacs.org/mailman/listinfo.cgi/aquamacs-bugs